# -*- coding: utf-8 -*-



from PyQt4.QtGui import QWidget
from PyQt4.QtCore import pyqtSignature

from PyQt4 import QtCore,  QtGui, QtDesigner

from IVDButton

class IVDButtonPlugin(QtDesigner.QPyDesignerCustomWidgetPlugin):

    def __init__(self, parent = None):
    
        QtDesigner.QPyDesignerCustomWidgetPlugin.__init__(self)
        self.initialized = False
        this._logo_pixmap = QtGui.QPixmap(_logo_16x16_xpm)

    def initialize(self, core):

        if self.initialized:
            return

        self.initialized = True

    def isInitialized(self):

        return self.initialized

    def createWidget(self, parent):
        return IVDButton(parent)
        
    def name(self):
        return "IVDButton"
        
    def group(self):
        return "Buttons"

    def icon(self):
        return QtGui.QIcon(_logo_pixmap)
        
    def toolTip(self):
        return "An easy way to create a button."

    def whatsThis(self):
        return "An easy way to create a button."
        
    def isContainer(self):
        return False
        
    def domXml(self):
        return (
               '<widget class="IVDButton" name=\"IVDButton\">\n'
               " <property name=\"toolTip\" >\n"
               "  <string>An easy way to create a button</string>\n"
               " </property>\n"
               " <property name=\"whatsThis\" >\n"
               "  <string>An easy way to create a button.</string>\n"
               " </property>\n"
               "</widget>\n"
               )
               
    def includeFile(self):
        return "IVDButton"


    
_logo_16x16_xpm = [
"16 16 84 1",
" 	c #000000",
".	c #030303",
"+	c #0E0E0E",
"@	c #1A1A1A",
"#	c #232323",
"$	c #252525",
"%	c #242424",
"&	c #1E1E1E",
"*	c #131313",
"=	c #070707",
"-	c #090909",
";	c #2E2E2E",
">	c #575757",
",	c #7F7F7F",
"'	c #8A8A8A",
")	c #8B8B8B",
"!	c #818181",
"~	c #616161",
"{	c #3C3C3C",
"]	c #171717",
"^	c #303030",
"/	c #6A6A6A",
"(	c #A6A6A6",
"_	c #A5A5A5",
":	c #A2A2A2",
"<	c #A3A3A3",
"[	c #757575",
"}	c #424242",
"|	c #0C0C0C",
"1	c #545454",
"2	c #808080",
"3	c #7E7E7E",
"4	c #868686",
"5	c #5F5F5F",
"6	c #2A2A2A",
"7	c #282828",
"8	c #646464",
"9	c #747474",
"0	c #636363",
"a	c #363636",
"b	c #5D5D5D",
"c	c #696969",
"d	c #5B5B5B",
"e	c #4B4B4B",
"f	c #555555",
"g	c #525252",
"h	c #4D4D4D",
"i	c #3B3B3B",
"j	c #4E4E4E",
"k	c #535353",
"l	c #494949",
"m	c #4C4C4C",
"n	c #464646",
"o	c #4A4A4A",
"p	c #3A3A3A",
"q	c #404040",
"r	c #414141",
"s	c #393939",
"t	c #383838",
"u	c #353535",
"v	c #323232",
"w	c #343434",
"x	c #2C2C2C",
"y	c #2B2B2B",
"z	c #434343",
"A	c #1D1D1D",
"B	c #3E3E3E",
"C	c #212121",
"D	c #222222",
"E	c #313131",
"F	c #3D3D3D",
"G	c #1F1F1F",
"H	c #1C1C1C",
"I	c #262626",
"J	c #111111",
"K	c #040404",
"L	c #101010",
"M	c #484848",
"N	c #454545",
"O	c #202020",
"P	c #010101",
"Q	c #191919",
"R	c #373737",
"S	c #0D0D0D",
"  .+@#$$$$%&*=  ",
" -;>,')))))!~{] ",
".^/(_::::::<<[}|",
"*1'2333333332456",
"78[999999999990}",
"abc///////////de",
"{f555555555555gh",
"ijkffffffffffflm",
"inoooooooooooo}e",
"pqqrqrrrrrrrrrse",
"ttuuuuuuuuuuuuvl",
";w6xxxxxxxxxxy;z",
"ABACCCCCCCCCDAtE",
"-FvGG&&&&&&GHImJ",
"KLqnleooooeMNlOP",
"K =QyatRRtR^CSP " ]